| Kea 3.0.2-git

isc::util::io Namespace Reference

## Namespaces
namespace | internal

## Functions
ssize_t | read_data (const int fd, void *buffer_v, const size_t length)
bool | write_data (const int fd, const void *buffer_v, const size_t length)

## Function Documentation

## ◆ read_data()

ssize_t isc::util::io::read_data | ( | const int | fd,
|  | void * | buffer_v,
|  | const size_t | length )

Definition at line 50 of file fd.cc.

Referenced by isc::util::unittests::check_output().

## ◆ write_data()

bool isc::util::io::write_data | ( | const int | fd,
|  | const void * | buffer_v,
|  | const size_t | length )

Definition at line 19 of file fd.cc.

Referenced by isc::util::unittests::provide_input().